Loading...
Searching...
No Matches
mallocallocator.hh File Reference

Allocators that use malloc/free. More...

`#include <exception>`
`#include <cstdlib>`
`#include <new>`
`#include <utility>`

Go to the source code of this file.

## Classes

class | Dune::MallocAllocator< T >
| Allocators implementation which simply calls malloc/free. More...
struct | Dune::MallocAllocator< T >::rebind< U >

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<class T>
constexpr bool | Dune::operator== (const MallocAllocator< T > &, const MallocAllocator< T > &)
| check whether allocators are equivalent
template<class T>
constexpr bool | Dune::operator!= (const MallocAllocator< T > &, const MallocAllocator< T > &)
| check whether allocators are not equivalent

## Detailed Description

Allocators that use malloc/free.